Page MenuHomePhabricator

Fix for PR26180
ClosedPublic

Authored by nemanjai on Jan 26 2016, 10:51 AM.

Details

Reviewers
kbarton
hfinkel
Summary

This fix includes both an update to how we handle the "generic" CPU on LE systems as well as Anton's fix for the Fast Isel issue.

Diff Detail

Repository
rL LLVM

Event Timeline

nemanjai updated this revision to Diff 46014.Jan 26 2016, 10:51 AM
nemanjai retitled this revision from to Fix for PR26180.
nemanjai updated this object.
nemanjai added reviewers: hfinkel, kbarton.
nemanjai set the repository for this revision to rL LLVM.
nemanjai added a subscriber: llvm-commits.
hfinkel edited edge metadata.Jan 27 2016, 4:30 AM

This needs some test cases (you should be able to pass -mcpu=generic to test the PPCSubtarget change, and pass -mcpu=ppc to then test the fast-isel change).

nemanjai updated this revision to Diff 46378.Jan 29 2016, 6:10 AM
nemanjai edited edge metadata.

Added a test case

@hfinkel@anl.gov Hal, is this test case satisfactory? Should I commit this and should it go into 3.8?

@hfinkel Can I commit this and close the associated bug?

hfinkel accepted this revision.Feb 26 2016, 10:20 AM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Feb 26 2016, 10:20 AM
nemanjai closed this revision.Feb 29 2016, 8:47 AM

Committed revision 262233.